#!/bin/bash 

exe="/path/to/you/vasp/excecutable/vasp_std"
ncores=2

VASP="mpirun --bind-to core -np $ncores $exe"

rm WAVECAR* WAVEDER*

cp KPOINTS.4x4x4 KPOINTS
cp KPOINTS.8x8x8 KPOINTS
cp KPOINTS.11x11x11 KPOINTS

# Here the work starts
cp INCAR.DFT INCAR
$VASP
cp OUTCAR OUTCAR.DFT
cp vasprun.xml vasprun.DFT.xml

cp INCAR.OPTICS INCAR
$VASP
cp OUTCAR OUTCAR.OPTICS
./extract_die_vasprun
mv diel.dat diel.electron.dat
cp vasprun.xml vasprun.OPTICS.xml

cp INCAR.ion-freq-diel INCAR
$VASP
cp OUTCAR OUTCAR.ion-freq-diel
./extract_die_vasprun
mv diel.dat diel.ion.dat
cp vasprun.xml vasprun.ion-freq-diel.xml
